@echo off
chcp 65001 > nul

echo [1/4] Создаем файл настроек sea-config.json...
(
echo {
echo   "main": "main.js",
echo   "output": "sea-prep.blob"
echo }
) > sea-config.json

echo [2/4] Создаем блок данных из вашего main.js...
node --experimental-sea-config sea-config.json
if %errorlevel% neq 0 goto error

echo [3/4] Копируем системный Node.exe под имя программы...
node -e "require('fs').copyFileSync(process.execPath, 'my-browser.exe')"
if %errorlevel% neq 0 goto error

echo [4/4] Вшиваем код внутрь файла my-browser.exe...
npx postject my-browser.exe NODE_SEA_BLOB sea-prep.blob --sentinel-fuse NODE_SEA_FUSE_fce680ab2cc467b6e072b8b5df1996b2
if %errorlevel% neq 0 goto error

:: Убираем за собой временные файлы конфигурации
del sea-config.json
del sea-prep.blob

echo --------------------------------------------------
echo СБОРКА ЗАВЕРШЕНА УСПЕШНО!
echo Создан файл: my-browser.exe
echo --------------------------------------------------
pause
exit

:error
echo --------------------------------------------------
echo ПРОИЗОШЛА ОШИБКА ПРИ СБОРКЕ!
echo --------------------------------------------------
pause
